1. Gps Service Controller
  • Introduction
  • Getting Started
  • Authentication
  • Error Handling
  • Contact Support
  • Modaltrans API
    • Get Auth Token
      • Get Bearer Token
    • Accounting
      • Invoices
        • Retrieve an Invoice
        • List all Invoices
      • Invoice Items
        • List all Invoice Items
        • Deleted Invoice Items
      • Financials
        • Retrieve Financial Information
    • Customs
      • NCTS Declarations
        • List all NCTS Declarations
        • Retrieve an NCTS Declaration
        • Create an NCTS Declaration with XML Data
        • Update an NCTS Declaration
        • Download an NCTS Declaration
        • List Timelines of NCTS Declaration
        • List Messages of NCTS Decalaration
      • Customs Declarations
        • List all Customs Declarations
        • Retrieve a Custom Declaration
        • Create a Customs Declaration
        • Update a Custom Declaration
        • Delete a Custom Declaration
        • Retrieve a Declaration History
        • Retrieve an MRN Status of Declaration
      • Declaration Requests
        • List all Declaration Orders
        • Retrieve a Declaration Request
        • Create a Declaration Request
        • Update a Declaration Request
        • Delete a Declaration Request
      • Ens Declarations
        • Create an Ens Declaration
        • Download an Ens Declaration
    • Logistics
      • Bookings
        • Retrieve a Booking
        • List all Bookings
        • Create a Booking
        • Update a Booking
      • Locations
        • List all Locations
        • Retrieve a Location
      • Positions
        • Update a Transport
        • Get All Positions
      • Tracking
        • Available Shipping Lines
        • Retrieve a Tracking Data
        • Subscribe to Tracking
      • Shipments
        • Retrieve a Shipment
        • List All Shipments
        • Retrieve Financials of Shipment
        • List Contacts of the Shipment
        • Create a Shipment
        • Update a Shipment
    • Depot
      • Orders
        • Retrieve an Order
        • List all Orders
        • Create an Order
        • Update an Order
      • Products
        • Retrieve a Product
        • List all Products
        • Create a Product
        • Update a Product
        • List Product Stocks
      • Inventories
        • List all Inventories
    • Fleet Management
      • Drivers
        • Retrieve a Driver
        • Retrieve a Driver's Vehicle
        • List Driver Positions
        • Update a Driver
      • Vehicles
        • Retrieve a Vehicle
        • Update a Vehicle
      • Gps Service Controller
        • Create Gps Responses
          POST
      • Service Logs
        • List all Service Logs
        • Retrieve a Service Log
        • Create a Service Log
        • Delete a Service Log
        • Update a Service Log
      • Periodic Documents
        • Retrieve a Periodic Document
        • Update a Periodic Document
        • Create a Periodic Document
    • CRM
      • Companies
        • List all Companies
        • Retrieve a Company
        • Create a Company
        • Update a Company
        • Delete a Company
        • List Company Credit Limits
    • Timelines
      • Retrieve a Timeline
      • List Timelines
      • Create a Timeline
    • S3 Files
      • List all S3Files
      • Create an S3File
      • Delete an S3File
    • Notifications
      • List all Notifications
      • Update a Notification Status
    • User Details
      • List User Details
      • Update User Details
  1. Gps Service Controller

Create Gps Responses

Developing
Testing Env
https://demo.modaltrans.com
Testing Env
https://demo.modaltrans.com
POST
/api/v1/gpsservice_responses
Creates a Gps Response.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "gpsservice_response": {
        "identity": "FR434HU",
        "longitude": 10.2143,
        "latitude": 64.2986,
        "direction": "North",
        "odometer": 20,
        "geo_address": "221B Baker Street, London, NW1 6XE, United Kingdom",
        "geo_country": "GB",
        "postal_code": "NW1 6XE",
        "temp_speed": 100,
        "last_connection_date": "2024-08-07T08:27:44.610Z",
        "eventlogid": 70812999
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://demo.modaltrans.com/api/v1/gpsservice_responses' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "gpsservice_response": {
        "identity": "FR434HU",
        "longitude": 10.2143,
        "latitude": 64.2986,
        "direction": "North",
        "odometer": 20,
        "geo_address": "221B Baker Street, London, NW1 6XE, United Kingdom",
        "geo_country": "GB",
        "postal_code": "NW1 6XE",
        "temp_speed": 100,
        "last_connection_date": "2024-08-07T08:27:44.610Z",
        "eventlogid": 70812999
    }
}'

Responses

🟢200OK
application/json
Body

Example
{
    "id": 31187128,
    "gpsservice_id": 415,
    "identity": "34cdz770",
    "longitude": 2.0066,
    "latitude": 77.3614,
    "direction": "1232",
    "odometer": 123213,
    "geo_address": "in aliqua sint pariatur",
    "geo_country": "UK",
    "postal_code": "123421",
    "temp_speed": 213,
    "canbus_odometer": 123,
    "vehicle_ignition": "t",
    "last_connection_date": "2024-08-06T16:52:09.555+03:00",
    "patron_id": 636,
    "created_at": "2024-08-08T10:11:56.635+03:00",
    "updated_at": "2024-08-08T10:11:56.635+03:00",
    "eventlogid": null,
    "geofence": "f",
    "vehicle_id": 12527,
    "paired_vehicle_id": null,
    "tenant_id": 636
}
🟠400Bad Request
🟠403Forbidden
Modified at 2024-08-26 09:07:04
Previous
Update a Vehicle
Next
List all Service Logs
Built with